@import './../common/mixins';

.navbar {
    box-shadow: 0 0 15px rgba(51, 51, 51, 0.15);
    background-color: #fff;
    .container{
     max-width: 1030px;
    }
}

.nav-item {
    margin: 0 15px;
    position: relative;
    a {
        font-size: 15px;
        color: #333;
    }
}

.navbar-brand img {
    width: 150px;
    max-width: 100%;
}


.navbar-toggler {
    width: 50px;
    height: 45px;
    display: inline-block;
    position: fixed;
    top: 7px;
    right: 20px;
    z-index: 2;
    cursor: pointer;
    border: none;
    .menu {
        width: 30px;
        height: 21px;
        position: relative;
        top: 0;
        left: 0;
        .line1,
        .line2,
        .line3 {
            position: absolute;
            background-color: #333;
            width: 100%;
            height: 2px;
            left: -2px;
            border-radius: 15px;
            @include animate( all, 320ms, cubic-bezier(0.42, 0, 0.38, 1.54) );
        }
        .line1 {
            top: 2px;
        }
        .line2 {
            top: 10px;
        }
        .line3 {
            top: 18px;
        }
    }
}

.navbar-toggler .menu.toggle {
    .line1,
    .line2,
    .line3 {
        top: 10px;
    }
    .line1 {
        @include transform ( rotate(45deg) );
    }
    .line2 ,
    .line3 {
        @include transform ( rotate(-45deg) );
    }   

}


a {
    .bg_logo {
        background-image: url(https://static.wixstatic.com/media/7f5f83_c7f85ae3b3e24a7c8e885c2163a55067~mv2.jpg/v1/fill/w_185,h_29,al_c,q_80,usm_0.66_1.00_0.01/7f5f83_c7f85ae3b3e24a7c8e885c2163a55067~mv2.webp); /* Here The Light Logo */
        background-repeat: no-repeat;
        background-position: center;
        width: 185px;
        height: 35px;
        display: inline-block;
    }
}